

- shmem: remove unneeded test for null inode->i_sb (James Morris)

- kill unused var warning in traps.c (Geert Uytterhoeven)

- s/u64/__u64/ in bitops.h (needed for klibc)

- comment fix in gfp.h (Matthew Dobson <colpatch@us.ibm.com>)

- fix smbfs constant overflow warning (Flameeyes <daps_mls@libero.it>)


 arch/i386/kernel/traps.c |    2 --
 include/linux/bitops.h   |    2 +-
 include/linux/gfp.h      |    2 +-
 include/linux/smbno.h    |    4 ++--
 mm/shmem.c               |    2 +-
 5 files changed, 5 insertions(+), 7 deletions(-)

diff -puN mm/shmem.c~misc5 mm/shmem.c
--- 25/mm/shmem.c~misc5	2003-06-17 10:04:30.000000000 -0700
+++ 25-akpm/mm/shmem.c	2003-06-17 10:04:30.000000000 -0700
@@ -1010,7 +1010,7 @@ static int shmem_mmap(struct file *file,
 	struct inode *inode = file->f_dentry->d_inode;
 
 	ops = &shmem_vm_ops;
-	if (!inode->i_sb || !S_ISREG(inode->i_mode))
+	if (!S_ISREG(inode->i_mode))
 		return -EACCES;
 	update_atime(inode);
 	vma->vm_ops = ops;
diff -puN arch/i386/kernel/traps.c~misc5 arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~misc5	2003-06-17 10:04:30.000000000 -0700
+++ 25-akpm/arch/i386/kernel/traps.c	2003-06-17 10:14:35.000000000 -0700
@@ -130,7 +130,6 @@ static int kstack_depth_to_print = 24;
 
 void show_trace(struct task_struct *task, unsigned long * stack)
 {
-	int i;
 	unsigned long addr;
 
 	if (!stack)
@@ -140,7 +139,6 @@ void show_trace(struct task_struct *task
 #ifdef CONFIG_KALLSYMS
 	printk("\n");
 #endif
-	i = 1;
 	while (((long) stack & (THREAD_SIZE-1)) != 0) {
 		addr = *stack++;
 		if (kernel_text_address(addr)) {
diff -puN include/linux/bitops.h~misc5 include/linux/bitops.h
--- 25/include/linux/bitops.h~misc5	2003-06-17 10:04:30.000000000 -0700
+++ 25-akpm/include/linux/bitops.h	2003-06-17 10:04:30.000000000 -0700
@@ -108,7 +108,7 @@ static inline unsigned int generic_hweig
         return (res & 0x0F) + ((res >> 4) & 0x0F);
 }
 
-static inline unsigned long generic_hweight64(u64 w)
+static inline unsigned long generic_hweight64(__u64 w)
 {
 #if BITS_PER_LONG < 64
 	return generic_hweight32((unsigned int)(w >> 32)) +
diff -puN include/linux/gfp.h~misc5 include/linux/gfp.h
--- 25/include/linux/gfp.h~misc5	2003-06-17 10:04:30.000000000 -0700
+++ 25-akpm/include/linux/gfp.h	2003-06-17 10:04:30.000000000 -0700
@@ -7,7 +7,7 @@
 /*
  * GFP bitmasks..
  */
-/* Zone modifiers in GFP_ZONEMASK (see linux/mmzone.h - low four bits) */
+/* Zone modifiers in GFP_ZONEMASK (see linux/mmzone.h - low two bits) */
 #define __GFP_DMA	0x01
 #define __GFP_HIGHMEM	0x02
 
diff -puN include/linux/smbno.h~misc5 include/linux/smbno.h
--- 25/include/linux/smbno.h~misc5	2003-06-17 10:14:54.000000000 -0700
+++ 25-akpm/include/linux/smbno.h	2003-06-17 10:15:04.000000000 -0700
@@ -347,8 +347,8 @@
 #define SMB_MODE_NO_CHANGE		0xFFFFFFFF
 #define SMB_UID_NO_CHANGE		0xFFFFFFFF
 #define SMB_GID_NO_CHANGE		0xFFFFFFFF
-#define SMB_TIME_NO_CHANGE		0xFFFFFFFFFFFFFFFF
-#define SMB_SIZE_NO_CHANGE		0xFFFFFFFFFFFFFFFF
+#define SMB_TIME_NO_CHANGE		0xFFFFFFFFFFFFFFFFULL
+#define SMB_SIZE_NO_CHANGE		0xFFFFFFFFFFFFFFFFULL
 
 /* UNIX filetype mappings. */
 #define UNIX_TYPE_FILE		0

_
